require 'yaml'
settings = YAML.load_file 'config.yml'
token = File.read('.do_token')

Vagrant.configure("2") do |config|
  config.ssh.private_key_path = settings['vagrant']['ssh_private_key_path']
  config.vm.box = settings['vagrant']['box']
  config.vm.box_url = settings['vagrant']['box_url']
  
  config.vm.define settings['provider']['servername'] do |config|
    config.vm.provider :digital_ocean do |provider, override|
      override.nfs.functional = false
      override.vm.allowed_synced_folder_types = :rsync
      provider.token = token
      provider.image = settings['provider']['image']
      provider.region = settings['provider']['region']
      provider.size = settings['provider']['size']
    end
  end

  config.vm.provision "ansible" do |ansible|
    ansible.playbook = "ansible/playbook.yml"
    ansible.compatibility_mode = "2.0"
  end
end
